## com.imcode.imcms.servlet.admin
Class LinkEditPage

    java.lang.Object
      com.imcode.imcms.flow.Page
          com.imcode.imcms.flow.OkCancelPage
              com.imcode.imcms.servlet.admin.LinkEditPage

All Implemented Interfaces:
  HttpSessionAttribute, java.io.Serializable

    public class LinkEditPage

extends OkCancelPage

See Also:
  Serialized Form

Nested Class Summary
`static class` `LinkEditPage.Parameter`

Field Summary

Fields inherited from class com.imcode.imcms.flow.OkCancelPage
`cancelCommand, okCommand, REQUEST_PARAMETER__CANCEL, REQUEST_PARAMETER__OK`

Fields inherited from class com.imcode.imcms.flow.Page
`IN_REQUEST`

Constructor Summary
`protected` `LinkEditPage(DispatchCommand returnCommand, Handler<EditLink.Link> linkRetrievalCommand)`

Method Summary
`protected void` `dispatchOk(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected void` `dispatchOther(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`EditLink.Link` `getLink()`
`java.lang.String` `getPath(javax.servlet.http.HttpServletRequest request)`
`boolean` `isTargetEditable()`
`void` `setLink(EditLink.Link link)`
`void` `setTargetEditable(boolean targetEditable)`
`protected void` `updateFromRequest(javax.servlet.http.HttpServletRequest request)`

Methods inherited from class com.imcode.imcms.flow.OkCancelPage
`dispatch, dispatchCancel, dispatchNotCanceled, wasCanceled, wasOk`

Methods inherited from class com.imcode.imcms.flow.Page
`forward, fromRequest, getSessionAttributeName, htmlHidden, removeFromSession, setSessionAttributeName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkEditPage

    protected LinkEditPage(DispatchCommand returnCommand,
                           Handler<EditLink.Link> linkRetrievalCommand)

Method Detail

### dispatchOk

    protected void dispatchOk(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException,
                              javax.servlet.ServletException

  Overrides:
    `dispatchOk` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### getLink

    public EditLink.Link getLink()

### setLink

    public void setLink(EditLink.Link link)

### isTargetEditable

    public boolean isTargetEditable()

### setTargetEditable

    public void setTargetEditable(boolean targetEditable)

### dispatchOther

    protected void dispatchOther(javax.servlet.http.HttpServletRequest request,
                                 javax.servlet.http.HttpServletResponse response)
                          throws java.io.IOException,
                                 javax.servlet.ServletException

  Overrides:
    `dispatchOther` in class `OkCancelPage`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### updateFromRequest

    protected void updateFromRequest(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `updateFromRequest` in class `OkCancelPage`

### getPath

    public java.lang.String getPath(javax.servlet.http.HttpServletRequest request)

  Specified by:
    `getPath` in class `Page`